# gumCLG

Learning Conditional Linear Gaussian Bayesian Networks

## Content

- Bounding the Family-Wise Error Rate in Local Causal Discovery using Rademaccher Averages
- Advanced PC Algorithm
- Canonical Form & Inference
- Forward Sampling
- Parameter Estimation

## Examples (27_Models_CLG.ipynb)

- How to use the gumCLG package(briefly)
- How to compare two CLG models
- How to use Forward Sampling for CLG models
- How to use the PC-algorithm to learn the structure of a CLG Bayesian network and how to estimate its parameters

## Tests in [gumCLG](https://gitlab.com/hzhjhtb/gumCLG)

- The effect of K(and n) on the result of indepedence test with Rademacher.
- The effect of variables' sigma on the result of our indepedence test with Rademacher
- The effect of number of variables on the F1-score and running time in our modified PC algorithm

## Documentation

- [Dario Simionato, Fabio Vandin: Bounding the Family-Wise Error Rate in Local Causal Discovery using Rademacher Averages(2022)](https://2022.ecmlpkdd.org/wp-content/uploads/2022/09/sub_642.pdf)
- [Diego Colombo, Marloes H. Maathuis: Order-Independent Constraint-Based Causal Structure Learning(2014)](https://jmlr.org/papers/volume15/colombo14a/colombo14a.pdf)
